# digital_ocean_size_info – Gather information about DigitalOcean Droplet sizes

New in version 2.6.

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to gather information about droplet sizes.

- This module was called `digital_ocean_size_facts` before Ansible 2.9. The usage did not change.

Aliases: digital_ocean_size_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
oauth_token string |  | DigitalOcean OAuth token. There are several other environment variables which can be used to provide this value. i.e., - 'DO_API_TOKEN', 'DO_API_KEY', 'DO_OAUTH_TOKEN' and 'OAUTH_TOKEN' aliases: api_token
timeout integer | Default: 30 | The timeout in seconds used for polling DigitalOcean's API.

validate_certs
boolean

Choices:
- no
- yes ←

If set to `no`, the SSL certificates will not be validated.
This should only set to `no` used on personally controlled sites using self-signed certificates.

## Examples

    - name: Gather information about all droplet sizes
      digital_ocean_size_info:
        oauth_token: "{{ oauth_token }}"

    - name: Get droplet Size Slug where vcpus is 1
      digital_ocean_size_info:
        oauth_token: "{{ oauth_token }}"
      register: resp_out
    - debug: var=resp_out
    - set_fact:
        size_slug: "{{ item.slug }}"
      loop: "{{ resp_out.data|json_query(name) }}"
      vars:
        name: "[?vcpus==`1`]"
    - debug: var=size_slug

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data list | success | DigitalOcean droplet size information Sample: [{'available': True, 'disk': 20, 'memory': 512, 'price_hourly': 0.00744, 'price_monthly': 5.0, 'regions': ['ams2', 'ams3', 'blr1', 'fra1', 'lon1', 'nyc1', 'nyc2', 'nyc3', 'sfo1', 'sfo2', 'sgp1', 'tor1'], 'slug': '512mb', 'transfer': 1.0, 'vcpus': 1}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.